QFAST API Documentation
  1. API
  • Introduction
  • Authentication
  • Onboarding Flow
  • Loan Flow
  • Disbursement Flow
  • Repayment Flow
  • Area Reference
  • API
    • Obtain an Access Token
      POST
    • Onboarding Personal
      POST
    • Get Onboarding Status
      GET
    • Submit Loan
      POST
    • Update Loan
      PATCH
    • Get Loan
      GET
  • Webhook
    • Onboarding Webhooks
    • Loan Webhooks
    • Disbursement Webhooks
    • Repayment Webhooks
  1. API

Obtain an Access Token

POST
/v1/oauth2/token
OAuth2 Client Credentials token endpoint. Returns a Bearer access token with a 5-minute lifetime. No refresh token is issued.

Request

Header Params

Body Params application/json

Example
{
    "grant_type": "client_credentials",
    "client_id": "<your_client_id>",
    "client_secret": "<your_client_secret>"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.sandbox.qfast.id/v1/oauth2/token' \
--header 'Accept: application/json' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
    "grant_type": "client_credentials",
    "client_id": "<your_client_id>",
    "client_secret": "<your_client_secret>"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "token_type": "Bearer",
    "expires_in": 300,
    "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..."
}
🟠400Bad Request
🟠401Unauthorized
Previous
Area Reference
Next
Onboarding Personal
Built with